Create webhook endpoint
curl --request POST \
--url https://api.tagada.io/api/public/v1/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "store_abc123",
"url": "https://hooks.zapier.com/hooks/catch/123456/abcdef/",
"eventTypes": [
"order/paid"
],
"description": "Zapier integration"
}
'import requests
url = "https://api.tagada.io/api/public/v1/webhooks"
payload = {
"storeId": "store_abc123",
"url": "https://hooks.zapier.com/hooks/catch/123456/abcdef/",
"eventTypes": ["order/paid"],
"description": "Zapier integration"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
storeId: 'store_abc123',
url: 'https://hooks.zapier.com/hooks/catch/123456/abcdef/',
eventTypes: ['order/paid'],
description: 'Zapier integration'
})
};
fetch('https://api.tagada.io/api/public/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "wh_abc123",
"url": "https://hooks.zapier.com/hooks/catch/123456/abcdef/",
"secret": "whsec_abc123...",
"eventTypes": [
"order/paid"
],
"enabled": true,
"createdAt": "2024-01-01T12:00:00.000Z"
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}webhooks
Create webhook endpoint
Create a new webhook endpoint to receive event notifications
POST
/
api
/
public
/
v1
/
webhooks
Create webhook endpoint
⌘I
